using System.Threading.Tasks;
using Volo.Abp.DependencyInjection;

namespace JiShe.CollectBus.Data;

/* This is used if database provider does't define
 * ICollectBusDbSchemaMigrator implementation.
 */
public class NullCollectBusDbSchemaMigrator : ICollectBusDbSchemaMigrator, ITransientDependency
{
    public Task MigrateAsync()
    {
        return Task.CompletedTask;
    }
}
